<?xml version='1.0'?>

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version    = '1.0'>

<xsl:output method='wml' indent='no'/>

 <!-- ========================================================= -->
 <!-- For the root, produce HTML skeleton and recurse into tree -->
 <!-- ========================================================= -->

<xsl:template match='/'>
  <wml>
    <template>
      <do label="Logoff" type="accept" name="logoff"><go href="/MQWFClient/servlet/Main?command=logoff"/></do>
      <do label="Back" type="prev" name="back"><prev/></do>
    </template>

    <xsl:apply-templates/>

  </wml>
</xsl:template>

<xsl:template match='RequestContext'>
   <card title="Properties">
     <p mode="wrap">
       <table columns="2">
         <tr>
           <td><b>Name:</b></td>
           <td><xsl:value-of select='WorkItem/Name'/></td>
         </tr>
         <tr>
           <td><b>Description:</b></td>
           <td><xsl:value-of select='WorkItem/Description'/></td>
         </tr>
         <tr>
           <td><b>State:</b></td>
           <td><xsl:value-of select='WorkItem/State'/></td>
         </tr>
         <tr>
           <td><b>Process:</b></td>
           <td><xsl:value-of select='WorkItem/ProcessInstanceName'/></td>
         </tr>
         <tr>
           <td><b>Owner:</b></td>
           <td><xsl:value-of select='WorkItem/Owner'/></td>
         </tr>
         <tr>
           <td><b>Received As:</b></td>
           <td><xsl:value-of select='WorkItem/ReceivedAs'/></td>
         </tr>
         <tr>
           <td><b>Received:</b></td>
           <td><xsl:value-of select='WorkItem/ReceivedTime'/></td>
         </tr>
         <tr>
           <td><b>Prg.Activity:</b></td>
           <td><xsl:value-of select='WorkItem/Implementation'/></td>
         </tr>
         <tr>
           <td><b>Type:</b></td>
           <td><xsl:value-of select='WorkItem/Kind'/></td>
         </tr>
       </table>
     </p>
   </card>
</xsl:template>

</xsl:stylesheet>
