<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP Filter Assistant Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>
<head>
<title><%=context.get("SortCriteriaAssistantViewer.SortAssistant")%></title>
<link rel=stylesheet type="text/css" href="../webclientstyle.css">

<style type="text/css">
td
{
  font-size: 8pt;
  font-family: Arial, Helvetica, sans-serif;
}
</style>

<script language="JavaScript">

  function getSortCriteria()
  {
    //checking the sort criteria
    var sortString="";

  <%int kindOfList;
    if (context.getKindOfList()==context.LISTS)
	     kindOfList = context.getKindOfSelectedList();
    else
		  kindOfList = context.getKindOfList();

    if (kindOfList==context.TEMPLATELIST)
    {%>
    if (sortForm.sort[1].checked) sortString="CATEGORY";
    if (sortForm.sort[2].checked) sortString="NAME";
  <%}
    else
    {
      if (kindOfList==context.WORKLIST)
      {%>
    if (sortForm.sort[1].checked) sortString="RECEIVED_TIME";
    if (sortForm.sort[3].checked) sortString="OWNER";
    <%}
      else
      {%>
    if (sortForm.sort[1].checked) sortString="START_TIME";
    if (sortForm.sort[3].checked) sortString="ADMINISTRATOR";
    <%}%>
    if (sortForm.sort[2].checked) sortString="PRIORITY";
    if (sortForm.sort[4].checked) sortString="STATE";
  <%}%>
    if (sortString!="")
      if (sortForm.sortcat[0].checked) sortString=sortString+" ASC"
      else sortString=sortString+" DESC"

    return sortString;
  }

  function setData()
  {
    opener.document.listForm.SortCriteria.value = getSortCriteria();
    self.close();
  }

</script>

</head>
<body class="assistant">
  <form name='sortForm'>
  <table width="100%" cellspacing="0" cellpadding="0" border="0">
  <tr>
  <td>
    <b><%=context.get("SortCriteriaAssistantViewer.SelectSortCriteria")%></b>
  </td>
  </tr>
  <tr>
  <td width="200">
    <label>
      <input type=radio width="20" name="sort" value="none" checked>
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.None")%><br>
    </label>
    <%if (kindOfList==context.TEMPLATELIST)
      {%>
    <label>
      <input type=radio width="20" name="sort" value="SortCategory">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Category")%><br>
    </label>
    <label>
      <input type=radio width="20" name="sort" value="SortName">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Name")%><br>
    </label>
    <%}
      else
      {
        if (kindOfList==context.WORKLIST)
        {%>
    <label>
      <input type=radio width="20" name="sort" value="SortTime">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.TimeReceived")%><br>
    </label>
      <%}
        else
        {%>
    <label>
      <input type=radio width="20" name="sort" value="SortTime">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.StartTime")%><br>
    </label>
      <%}%>
    <label>
      <input type=radio width="20" name="sort" value="SortPriority">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Priority")%><br>
    </label>
      <%if (kindOfList==context.WORKLIST)
        {%>
    <label>
      <input type=radio width="20" name="sort" value="SortOwner">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Owner")%><br>
    </label>
      <%}
        else
        {%>
    <label>
      <input type=radio width="20" name="sort" value="SortOwner">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Administrator")%><br>
    </label>
      <%}%>
    <label>
      <input type=radio width="20" name="sort" value="SortState">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.State")%><br>
    </label>
    <%}%>
  </td>
  <td>
    <label>
      <input type=radio width="20" name="sortcat" value="SortAsc" checked>
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Ascending")%><br>
    </label>
    <label>
      <input type=radio width="20" name="sortcat" value="SortDesc">
      &nbsp;<%=context.get("SortCriteriaAssistantViewer.Descending")%><br>
    </label>
  </td>
  </tr>
  <tr>
  <td align="right" colspan="2">
    <hr>
    <input type="button" value="<%=context.get("Command.OK")%>" onClick="javascript:setData()">
    <input type="button" value="<%=context.get("Command.Cancel")%>" onClick="javascript:self.close()">
  </td>
  </tr>
  </table>
  </form>
</body>
</html>
