<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %i%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%@ page language="java" info="Application data access through JSP" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="java.io.*" %>
<%-- Note that the 'context' bean is not available here since this JSP is  --%>
<%-- the target of a form 'submit' action, not of a jsp:forward            --%>

<%
  String dbName = request.getParameter("CustomerDB");
  String customerID = request.getParameter("CustomerID");
  String firstName = request.getParameter("FirstName");
  String lastName = request.getParameter("LastName");
  String mailAddr = request.getParameter("MailAddress");

  // To keep this example simple, we access a data file to store
  // the customer information. In the real world, you would
  // likely be using an external database to store your data.
  // This database would be accessed through JavaBeans
  // components that encapsulate the JDBC code.
  PrintWriter db = new PrintWriter(new FileOutputStream(dbName, true));
  db.println(customerID);
  db.println(firstName);
  db.println(lastName);
  db.println(mailAddr);
  db.close();
%>

<%-- This is a non-visual JSP, the actual response page is created by   --%>
<%-- the Web Client's servlet. The request parameters for this have     --%>
<%-- already been set in the ACreateCustomer JSP that invoked this JSP. --%>
<jsp:forward page="<%=request.getParameter(\"servletPath\")%>"/>
